Ask Your Question
0

How to pull new versions of autoware.auto

asked 2020-04-12 16:03:21 -0600

tleyden2 gravatar image

I want to pull in the fix for Values for blinker in VehicleStateCommand Do Not Match LGSVL Values, and I tried the following steps:

$ ade enter
$ git pull --recurse-submodules
$ colcon build

But it failed with this error:

Starting >>> motion_common
--- stderr: motion_common
CMake Error at CMakeLists.txt:25 (apex_test_tools_add_gtest):
  Unknown CMake command "apex_test_tools_add_gtest".


make: *** [cmake_check_build_system] Error 1
---
Failed   <<< motion_common  [ Exited with code 2 ]
Aborted  <<< ament_acado

Do I also need to update the docker images that are being used by ade? If so, how should I go about updating them?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-05-19 00:10:05 -0600

tleyden2 gravatar image

updated 2020-05-19 00:10:23 -0600

I was able to get past it by updating the docker images used by ade. What I ended up doing (and I'm not sure this is the best way), was to first stop ade by running ade stop, followed by ade start --update --enter which pulls new docker images and enters the container.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2020-04-12 16:03:21 -0600

Seen: 200 times

Last updated: May 19 '20